[package]
name = "androscalpel"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[lib]
name = "androscalpel"
crate-type = ["cdylib", "lib"]

[dependencies]
adler = "1.0.2"
androscalpel_serializer = { version = "0.1.0", path = "../androscalpel_serializer" }
anyhow = { version = "1.0.75", features = ["backtrace"] }
apk_frauder = { version = "0.1.0", path = "../apk_frauder" }
log = "0.4.20"
pyo3 = { version = "0.23.4", features = ["anyhow", "abi3-py38", "extension-module"], optional = true}
pyo3-log = { version = "0.12.1", optional = true}
rayon = "1.9.0"
serde = { version = "1.0.195", features = ["derive"] }
serde_json = "1.0.111"
sha1 = "0.10.6"
zip = {version = "2.2.2", optional = true}

[dev-dependencies]
pretty_assertions = "1.4.1"

[features]
default = ["code-analysis"]
# TODO: need refactoring to https://github.com/PyO3/pyo3/issues/2935#issuecomment-2560930677 or cfg_eval https://github.com/rust-lang/rust/issues/82679
python = ["pyo3", "pyo3-log"] # Currently not supported
external-zip-reader = ["zip"]
code-analysis = []
